﻿using appbyhwsw.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
using System.Linq;
using System.Xml.Linq;

namespace appbyhwsw.Manager
{
    public class NetworkManager
    {
        private const string rssUrl = "http://www.f1-live.hu/xml-rss-feed/";

        public async Task<ObservableCollection<NewsItem>> GetFeed()
        {
            HttpClient httpClient = new HttpClient();

            var result = await httpClient.GetStringAsync(rssUrl);

            var news = from rss in XElement.Parse(result).Descendants("item")
                       select new NewsItem
                       {
                           Title = rss.Element("title").Value,
                           Author = rss.Element("author").Value,
                           PubDate = rss.Element("pubDate").Value,
                           Description = rss.Element("description").Value,
                           Link = rss.Element("link").Value,
                           Image = rss.Element("enclosure").Attribute("url").Value
                       };

            return new ObservableCollection<NewsItem>(news);
        }
    }
}
